Main Page Class Hierarchy Compound List File List Compound Members File Members

# types.h File Reference

`#include <windows.h>`
`#include <assert.h>`

Go to the source code of this file.

## Defines
#define | ADLL
#define | DLLIMPORT
#define | DLLEXPORT
#define | countof(x) (sizeof(x)/sizeof(x[0]))
#define | GUID(a, b) ((((qword)(dword)a)<<32)|((qword)(dword)b))
#define | MAXTEXT 128
#define | MAXFILETEXT 256
#define | ALIBOBJ
#define | AOBJ
#define | PI 3.141592654
## Typedefs
typedef unsigned __int64 | qword
typedef unsigned __int32 | dword
typedef unsigned __int16 | word
typedef unsigned char | byte
typedef signed __int64 | sqword
typedef signed __int32 | sdword
typedef signed __int16 | sword
typedef signed char | sbyte
## Functions
__inline int | mini (int x, int y)
__inline float | mini (float x, float y)
__inline double | mini (double x, double y)
__inline int | maxi (int x, int y)
__inline float | maxi (float x, float y)
__inline double | maxi (double x, double y)

## Define Documentation

#define ADLL

#define ALIBOBJ

| Value:
    public:\
            ADLL static ACI                         CI;\
            virtual ACI                                     *getCI                                                  ()                                              { return &CI; }

#define AOBJ

| Value:
    public:\
            static ACI                                      CI;\
            virtual ACI                                     *getCI                                                  ()                                              { return &CI; }

#define DLLEXPORT

#define DLLIMPORT

#define GUID | ( | a,
|  | b |  | ) | ((((qword)(dword)a)<<32)|((qword)(dword)b))

#define MAXFILETEXT 256

#define MAXTEXT 128

#define PI 3.141592654

#define countof | ( | x |  | ) | (sizeof(x)/sizeof(x[0]))

## Typedef Documentation

typedef unsigned char byte

typedef unsigned __int32 dword

typedef unsigned __int64 qword

typedef signed char sbyte

typedef signed __int32 sdword

typedef signed __int64 sqword

typedef signed __int16 sword

typedef unsigned __int16 word

## Function Documentation

__inline double maxi | ( | double | x,
|  | double | y
| ) |

__inline float maxi | ( | float | x,
|  | float | y
| ) |

__inline int maxi | ( | int | x,
|  | int | y
| ) |

__inline double mini | ( | double | x,
|  | double | y
| ) |

__inline float mini | ( | float | x,
|  | float | y
| ) |

__inline int mini | ( | int | x,
|  | int | y
| ) |